# RinoPy

```
  import rinopy as rp
```

## Features
- Numerical Methods in NumPy

Functions for various numerical methods implemented in Python from my college courses

- Network Optimization with NumPy + NetworkX

Functions for network optimization and transportation problem implemented in Python from my college courses

- Basic Machine Learning

Basic Machine Learning functions and algorithms implemented in Python for learning purposes

- Basic Deep Learning

Deep Learning algortihms implement in Python for learning purposes

- Models

Various models implemented from machine learning and deep learning functions to build a model from scratch

- Evaluation

Evaluation functions mainly used for machine learning and deep learning purposes

## Dependencies
- NumPy
- NetworkX

## Plan
- Network Optimization
  - Linear Programming
    - Maximum Flow Algorithm
    - Minimum Cost Algorithm
    - Dynamic Cost Flow Algorithm
    - Simplex Method
    - Hungarian Algorithm
- Numerical Analysis
  - Approximation Theory
    - Discrete Least Square Approximation
    - Orthogonal Polynomials
    - Least Squares Approximation
    - Chebyshev Polynomials
    - Economization of Power Series
    - Rational Function Approximation
    - Trigonometric Polynomial Approximation
    - Fast-Fourier Transform
  - Approximating Eigenvalues
    - Similarity Transformations
    - The Power Method
    - Householder's Method
    - The QR Algorithm
    - Singular Value Decomposition (SVD)
